using UnityEngine;
using System.Collections;

public class Inicio : MonoBehaviour {

    public Transform[] prefabs;
    public float tempo;
    public float tempoDeEspera;
    public bool instanciarProxima;
    public int indicePrefabs = 0;

    public int somaHerbivoros = 0;
    public int somaCarnivoros = 0;

    public int somaCorretas = 0;
    public GameObject player;

    void Start()
    {
        instanciarProxima = true;
    }
    void Update()
    {

        if (instanciarProxima == true && indicePrefabs != prefabs.Length)
        {
            Instantiate(prefabs[indicePrefabs], transform.position, transform.rotation);
            instanciarProxima = false;
        }
        else
        {
            if (somaHerbivoros > somaCarnivoros && indicePrefabs == prefabs.Length)
            {
                PlayerPrefs.SetInt("Nivel", 0);
                print("Herbivoro");
                Application.LoadLevel("Nv1");
                //Ir para a cena como herbivoro

            }
            else if (somaCarnivoros > somaHerbivoros && indicePrefabs == prefabs.Length)
            {
                print("Carnívoro");
                PlayerPrefs.SetInt("Nivel", 1);
                //Ir para a cena como carnivoro
                Application.LoadLevel("Nv1");
            }
            else if (somaHerbivoros == somaCarnivoros && somaCarnivoros != 0 && indicePrefabs == prefabs.Length)
            {
                print("Onivoros");
                PlayerPrefs.SetInt("Nivel", 2);
                Application.LoadLevel("Nv1");
                //Ir para cena como onivoro
            }

        }
    }
    /*public void RandomizarPergunta()
    {
        Esperar();
        int numPrefab = Random.Range(0, prefabs.Length);
        Instantiate(prefabs[numPrefab], transform.position, transform.rotation);
    }*/

    IEnumerator Esperar()
    {
        yield return new WaitForSeconds(2);


    }


}

